Package twisted :: Package enterprise :: Module dbgadgets :: Class IdentitiesGadget |
[frames | no frames]

## Class IdentitiesGadget

    Resource --+
               |
          Gadget --+
                   |
      Widget --+   |
               |   |
    StreamWidget --+
                   |
                  IdentitiesGadget

Method Summary
| `__init__(self, authorizer)`
| ``display`(self, request)` Display the list of identities
| `gotIdentities(self, data)`
Inherited from Gadget
| ``addFile`(self, path)` Gadget.addFile(path) Add a static path to this Gadget.
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getWidget`(self, path, request)`
| ``pageFactory`(self, *args, **kwargs)` Gadget.pageFactory(*args, **kwargs) -> Resource By default, this method returns self.page(*args, **kwargs).
| ``putPath`(self, path, pathname)` Gadget.putPath(path, pathname) Add a static path to this Gadget.
| ``putWidget`(self, path, widget)` Gadget.putWidget(path, widget) Add a Widget to this Gadget.
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
Inherited from StreamWidget
| ``stream`(self, write, request)` Call 'write' multiple times with a string argument to represent this widget.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`str` | `title` = `'Database Identities'`
Inherited from Gadget
`int` | `isLeaf` = 0
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### display(self, request) Display the list of identities Overrides: `twisted.web.widgets.StreamWidget.display`

Class Variable Details

    ### title Type: `str` Value:
        'Database Identities'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net